Fork me on GitHub

Rapport de message :*
 

Extcal 2.37 RC 6

Titre du sujet : Extcal 2.37 RC 6
par LeMandrivien sur 04/02/2018 00:53:50

Bonjour,

Je termine un site sous Xoops 2.5.7.2 et j'utilise Extcal 2.37 RC 6.

Le module semble bien fonctionner mais il se produit le phénomène "Page blanche" si les conditions d'utilisation sont les suivantes :

- Demander l'affichage du bloc "évènements à venir" (http://monsite/modules/system/admin.php?fct=blocksadmin)

- Demander de ne pas afficher le nom du module dans la fenêtre de gestion des modules (http://monsite/modules/system/admin.php?fct=modulesadmin) (Masquer)

Avec le mode debug activé on reçoit le texte suivant :

Aucun Tout Erreurs (2) Obsolètes (2) Requêtes (28) Blocs (6) Extra (2) Temporisation(4)

Puis

Erreurs
Inconnu: Non-static method ExtcalPerm::getHandler() should not be called statically, assuming $this from incompatible context dans le fichier /modules/extcal/class/event.php ligne 81

Inconnu: Non-static method ExtcalPerm::getHandler() should not be called statically, assuming $this from incompatible context dans le fichier /modules/extcal/class/cat.php ligne 36

Ce qui correspond à :

---------------------- event.php ----------------------

function __construct(&$db)
{
$this->_extcalPerm = ExtcalPerm::getHandler();
$this->_extcalTime = ExtcalTime::getHandler();
// $extcalConfig = ExtcalConfig::getHandler();
// $this->_extcalConfig = $extcalConfig->getModuleConfig();
$this->ExtcalPersistableObjectHandler($db, 'extcal_event', _EXTCAL_CLN_EVENT, 'event_id');
}

---------------------- cat.php ----------------------

function ExtcalCatHandler(&$db)
{
$this->_extcalPerm = ExtcalPerm::getHandler();
$this->ExtcalPersistableObjectHandler($db, 'extcal_cat', _EXTCAL_CLN_CAT, 'cat_id');
}



MON ENVIRONNEMENT


OS : Linux Mageia 5

Version PHP minimale requise : 5.3.7 (votre version est 5.6.33)

MYSQL Version minimale requise : 5.0.7 (votre version est 5.5.5-10.0.33-MariaDB)

Version de Xoops minimale requise : 2.5.7 (votre version est 2.5.7.2)

ModuleAdmin minimum requis : 1.1 (votre version est 1.2)

Librairie PEAR
Le dossier '/var/www/html/test/modules/extcal/class/pear' existe


En espérant que ceci vous permettra de trouver une solution et corrigera ce petit dérangement.

Cordialement,

Yves


Propulsé avec XOOPS | Graphisme adapté par Tatane, Grosdunord, Montuy337513

33 Personne(s) en ligne (26 Personne(s) connectée(s) sur Forum) | Utilisateur(s): 0 | Invité(s): 33 | Plus ...